package org.cs.mgr.user.ctl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Map;

import org.cs.core.ctl.BaseCtl;
import org.cs.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.cs.mgr.user.service.IMgmMessageService;
import org.cs.mgr.user.service.IMgmUserService;
import org.cs.mgr.user.service.ISmsService;
import org.cs.util.Pager;
import org.cs.mgr.user.model.MgmMessage;
import org.cs.mgr.user.model.MgmUser;
import org.cs.util.StringUtil;
import com.alibaba.fastjson.JSONObject;


/**
 * 
 * @ClassName: MgmMessage 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
@Controller
@RequestMapping("/mgmMessageCtl")
public class MgmMessageCtl extends BaseCtl {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	public ISmsService smsService;
	
	@Autowired
	public IMgmUserService mgmUserService;
	
	
	@Autowired
	private IMgmMessageService mgmMessageService;
	
	@RequestMapping("list")
	public String list(ModelMap mm, @RequestParam(required=false)String menuCode){
		mm.put(MENU_CODE, menuCode);
		this.set(MENU_CODE, menuCode);
		return "bis/mgmMessage/list";	
	}
	
	@RequestMapping(value="list2", method = RequestMethod.GET, produces="application/json;charset=UTF-8")
	@ResponseBody
	public String list2(int page, int pageSize){
		Pager pager = this.mgmMessageService.getMgmMessages(new Pager(page, pageSize));
		JSONObject json = new JSONObject();
		json.put("rows", pager.getResults());
		json.put("total", pager.getTotal());
		return JSONObject.toJSONString(json, features);
	}
	
	@RequestMapping("transfer")
	public String transfer(Integer id, String action, ModelMap mm){
		MgmMessage mgmMessage = null;
		if(id != null){
			mgmMessage = this.mgmMessageService.findById(id);
			mm.put("mgmMessage", mgmMessage);
		}
		return "bis/mgmMessage/" + action;
	}
	
	@RequestMapping(value="add", method = RequestMethod.POST)
	@ResponseBody
	public String add(MgmMessage mgmMessage){
		if(mgmMessage != null ){
			this.mgmMessageService.addMgmMessage(mgmMessage);
		}
		return AJAX_SUCCESS;
	}

    @RequestMapping(value="edit", method = RequestMethod.POST)
    @ResponseBody
    public String edit(MgmMessage mgmMessage){
        if(mgmMessage != null ){
            this.mgmMessageService.updateMgmMessage(mgmMessage);
        }
        return AJAX_SUCCESS;
    }

	
	
	
	@RequestMapping("del")
	@ResponseBody
	public String del(Integer id){
		if(id != null){
			this.mgmMessageService.delMgmMessage(id);
		}
		
		return AJAX_SUCCESS;
	}
		
}

